# Imagick::paintOpaqueImage

(PECL imagick 2.0.0)

Imagick::paintOpaqueImage — Change any pixel that matches color

### Description

Imagick::paintOpaqueImage ( mixed `$target` , mixed `$fill` , float `$fuzz` [, int `$channel` = Imagick::CHANNEL_DEFAULT ] ) : bool

Changes any pixel that matches color with the color defined by fill.

### Parameters

`target`

  Change this target color to the fill color within the image. An ImagickPixel object or a string representing the target color.

`fill`

  An ImagickPixel object or a string representing the fill color.

`fuzz`

  The fuzz member of image defines how much tolerance is acceptable to consider two colors as the same.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as first and second parameter. Previous versions allow only an ImagickPixel object.